Bug 220140 - update-gtk-immodules fails when updating scim-libs.i386
update-gtk-immodules fails when updating scim-libs.i386
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 23:00 EST by Michel Alexandre Salim
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 18:15:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2006-12-18 23:00:06 EST
Description of problem:
scim-libs has an update-gtk-immodules that is called post-install; this script
needs to specially handle the i386 architecture, which puts its gtk-immodules in
/etc/gtk-2.0/i686-redhat-gnu-linux, not /etc/gtk-2.0/i386-redhat-gnu-linux


Version-Release number of selected component (if applicable):
scim-libs-1.4.4-36.fc6

How reproducible:
Always

Steps to Reproduce:
1. rpm -e scim-libs --nodeps
2. yum install scim-libs

  
Actual results:
  Updating  : scim-libs                    ####################### [ 3/19] 
/usr/bin/update-gtk-immodules: line 27:
/etc/gtk-2.0/i386-redhat-linux-gnu/gtk.immodules: No such file or directory


Expected results:
No error


Additional info:
Comment 1 Jens Petersen 2006-12-18 23:43:02 EST
Apparently the value of %{_host} for i386 has changed without warning
in the buildsystem. :-(

(Pity noone spotted this last week while the package was in testing.)
Comment 2 Jens Petersen 2006-12-18 23:48:31 EST
FWIW this should be fixed by gtk2-2.10.4-7.fc6.i386 and gtk2-2.10.4-8.fc6.i386
currently in Updates Testing now.
Comment 3 Fedora Update System 2006-12-22 15:20:50 EST
scim-1.4.4-37.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.